Lease¶
Get Leases¶
HTTP Request
GET /api/premises/{premiseId}/leases
📋 Description: Retrieves a list of leases associated with a specific premise, identified by the premiseId, to facilitate effective property management and lease tracking.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
premiseId |
path |
integer(int64) |
true |
Unique identifier for the premise |
archived |
query |
boolean |
false |
Indicates whether to retrieve only the archived leases associated with the specified premise, allowing for effective management of historical lease data. |
page |
query |
integer(int32) |
false |
Page number for pagination |
size |
query |
integer(int32) |
false |
Number of items per page |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
archived |
|
query |
page |
|
query |
size |
|
query |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1{
2 "property1": {},
3 "property2": {}
4}
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
» additionalProperties |
object |
false |
none |
none |